Bug 1303750 - Cannot recover display after blank, monitor doesn't resume from quick power-off, DPMS problem
Cannot recover display after blank, monitor doesn't resume from quick power-o...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
24
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 15:26 EST by Paul DeStefano
Modified: 2017-08-08 08:44 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:44:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul DeStefano 2016-02-01 15:26:15 EST
Description of problem:
Since F23, I've been having problems with DPMS.  The most serious issue is that I cannot lock my X11 session, now, because when I activate xscreensaver, I can't get back into my session.  When monitor powers off, it never resumes when I hit keys or move mouse.  System requires reboot from virtual console!

Worked fine in F22 with same hardware.

Version-Release number of selected component (if applicable):
xscreensaver-5.34-1.fc23.x86_64

How reproducible:
Always with quick power-off.  I'm too afraid to try other combinations right now, but very willing to do all troubleshooting requested.

Steps to Reproduce:
1. Login to Xfce session
2. enable quick power-off in screensaver settings
3. xscreensaver-command -activate

Actual results:
Screen blanks and then powers off.  All attempts to wake display fail, cannot access X11 session.

Expected results:
Should work like it used to.

Additional info:
This doesn't happen on my netbook, though, so I suspect it may be related to X11 radeon driver.
Comment 1 Mamoru TASAKA 2016-02-01 17:27:50 EST
Can you try another driver, e.g. vesa?
Comment 2 Paul DeStefano 2016-02-01 18:15:05 EST
Not sure what you are suggesting; use xorg.conf to force a different driver?  Maybe, if you tell me what driver.  I need you to be more explicit.  vesa is ambiguous because I think X11 always loads the "vesa" module in addition to other ones.  How do you prevent it from loading radeon, too?  For example, my netbook loads vesa, intel, fbdev, modsetting, etc.  Does that count?

I mean, I used to create x11.conf by hand, but it's been a really long time since those days.  Can you send a config?

The problem also doesn't happen if I disable DPMS in xscreensaver.  So, it blanks and locks, but monitor doesn't sleep.  That works; xscreensaver is there as soon as I hit a key or mouse.  It's definitely DPMS.

Remember, I have to reboot every time this happens, so if we can plan a good test, I'd feel more comfortable.
Comment 3 Paul DeStefano 2016-02-01 18:28:39 EST
You know what, now that I think about it, I *did* have the same problem on my F23 VM.  It uses qxl driver.  I'm updating now so it will have same version as my other system.  We'll see if I can reproduce there...
Comment 4 Mamoru TASAKA 2016-02-01 18:33:15 EST
vesa is "vesa" driver. You have to specify it explicitly in xorg.conf (so if you don't have it, you have to create it).


By the way, what happens if
- You terminate xscreensaver with
  $ xscreensaver-command -exit
- Then you forcely turn DPMS to off
  $ xset dpms force off
?
Comment 5 Paul DeStefano 2016-02-01 20:29:18 EST
Okay, so, it just happened when xscreensaver wasn't even running.  It also isn't occurring in my VM.  And, I checked xset: DPMS is already "Disabled".  So, I guess that's that.

This is now a serious problem, but we've eliminated xscreensaver.  I cannot prevent this and it forces me to reboot every time it happens; good thing I can get to vconsole.  It is not only caused by screensaver blank events, but occurs without screensaver or power management enabled.  I'm really confused.

I've now disabled all the power saving features on my monitor and disabled DP 1.2 support.  I'm guessing my monitor put itself to sleep, but why is this so horribly unrecoverable?  I think the xorg-x11-drv-ati team could help.

I found this in the journal, though:
Feb 01 16:00:19 <hostname> kernel: [drm:radeon_dp_link_train [radeon]] *ERROR* displayport link status failed
Feb 01 16:00:19 <hostname> kernel: [drm:radeon_dp_link_train [radeon]] *ERROR* clock recovery failed
Feb 01 16:00:19 <hostname> kernel: [drm:radeon_dp_link_train [radeon]] *ERROR* displayport link status failed
Feb 01 16:00:19 <hostname> kernel: [drm:radeon_dp_link_train [radeon]] *ERROR* clock recovery failed

That's the same time that I had this last seemingly unprovoked problem.
Comment 6 Paul DeStefano 2016-02-14 17:07:15 EST
This problem hasn't recurred since disabling DP 1.2 support on my monitor.  I hope this means that bad problem is fixed for good.  But the problem is still unexplained.

And now the monitor never sleeps, which isn't good, but is much less terrible.  I may open a different bug for that; it's probably a separate issue.
Comment 7 Paul DeStefano 2016-02-15 14:48:18 EST
Okay, it's not just a DP 1.2 issue.  I ran for a week without problems when all power-management was disabled.  But, I turned DPMS back on and, after the monitor went to sleep, I couldn't get it to wake up again.  I had to reboot.

Here are the errors associated with this most recent event:
Feb 14 21:11:17 <hostname> kernel: [drm:si_dpm_set_power_state [radeon]] *ERROR* si_restrict_performance_levels_before_switch failed
Feb 14 21:11:18 <hostname> kernel: [drm:si_dpm_set_power_state [radeon]] *ERROR* si_restrict_performance_levels_before_switch failed
Feb 14 21:12:51 <hostname> kernel: [drm:si_dpm_set_power_state [radeon]] *ERROR* si_restrict_performance_levels_before_switch failed

This is more of a problem than you might think, too.  I can't even turn off my monitor because that seems to initiate very brief random "glitches".  It's hard to describe but, if I turn the monitor off and then back on, I get intermittent, sudden, graphics glitches and, simultaneously, I hear a pop from the monitor speakers as I get audio via displayport to my monitor speakers.  So, that isn't really a valid workaround.

Please advise.  I'm willing to help troubleshoot, as always.
Comment 8 Mamoru TASAKA 2016-02-15 18:13:08 EST
Once switching to kernel. Perhaps kernel/X people will look at this.
Comment 10 Paul DeStefano 2016-06-28 00:17:04 EDT
The random glitches have become very infrequent and brief over the last three months.  I still catch them every once and a while, but they last only a moment, barely noticeable.

Additionally, after upgrading to F24, the main problem with monitor suspend/resume went away.  I'm not sure what accounts for this, but I have confirmed it.  I now have xscreensaver using DPMS and haven't experiences any resume problems, just like it was before I opened this bug.

(I also switched back to GDM from LightDM, but after I confirmed this fix.)
Comment 11 Fedora End Of Life 2016-11-24 10:20:21 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Paul DeStefano 2016-12-02 14:37:15 EST
This was fixed in F24 but, I think, it is back.  I haven't had a chance to test since updating to 4.7.5 because X11 is now crashing frequently and I'm afraid to try this while I'm busy with a project.  I'll test soon.  But, I've had to disable monitor sleep for the last month as a precaution.
Comment 13 Paul DeStefano 2017-06-01 19:14:12 EDT
Lost track of this problem.  Seems to be gone in F25.
Comment 14 Fedora End Of Life 2017-07-25 15:52:53 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2017-08-08 08:44:02 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.